"Delighted and impressed..."
— Cortland Coleman What They Say

Church Content Plugin 2.6.2 Resolves Event Issues

Version 2.6.1 of the Church Content plugin hardened security issue but at the same time introduced a bug affecting events and recurrence on some hosts. It also began requiring PHP 8. Version 2.6.2 resolves the event issues and also reduces the PHP version requirement to PHP 7.4 since there are still some hosts not yet offering PHP 8 (we still recommend PHP 8.1 or 8.2 as 7.4 has reached End of Life).

You can update by going to Dashboard > Updates in your WordPress admin area. Note that you may need to manually update your recurring events to set them to a current or future date in order for them to begin recurring again automatically. Get in touch if you have questions! We’ll be glad to assist.

Thank you to all who helped us with testing.